<?php $bsa_options = get_option($this->name); ?>
<script type="text/javascript">
function confirm_reset() {
  var answer = confirm("All of your custom messages will also be reset.  Are you sure you want to reset all settings?");
  if(answer)
    return true;
  else
    return false;
}
</script>
<form method="post"><fieldset>
<?php
    // check options
    if ( !array_key_exists ( 'after_zone', $bsa_options )
      || !array_key_exists ( 'after_widget', $bsa_options )
      || !array_key_exists ( 'before_zone', $bsa_options )
      || !array_key_exists ( 'before_widget', $bsa_options )
      || !array_key_exists ( 'show_link', $bsa_options )
      || !array_key_exists ( 'widget_ids', $bsa_options )
      || !array_key_exists ( 'widget_title', $bsa_options ) ) {
      printf('
        <div style="background-color:#FFFBCC;border:1px solid #E6DB55;margin:10px 0;padding:5px;">%s&nbsp;&nbsp;<input type="submit" name="bsa_options_upgrade_submit" value="%s &#187;"/></div>
        ',
        __('Some option settings are missing (possibly from plugin upgrade).  Please reactivate.', $this->name),
        __('Reactivate', $this->name)
      );
    }

    // prepare options data for display
    if ($bsa_options['show_link']) {
      $show_link_check1 = 'checked';
      $show_link_check2 = '';
    }
    else {
      $show_link_check1 = '';
      $show_link_check2 = 'checked';
    }

    printf('
      <h2>%s</h2>
      <p><label>%s &nbsp; <input name="bsa_options_update[show_link]" value="on" type="radio" %s/></label></p>
      <p><label>%s <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_xclick&business=thaya.kareeson@gmail.com&currency_code=USD&amount=&return=&item_name=Donate+a+cup+of+coffee+or+two+to+support+Buy+Sell+Ads+WordPress+plugin.">%s</a> %s &nbsp; <input name="bsa_options_update[show_link]" value="off" type="radio" %s/></label></p>
      <h2>%s</h2>
      <p><label>%s<br/><input type="text" size="16" value="%s" readonly disabled/></label></p>
      <p><label>You may insert <strong>&lt;?php bsa_zone(\'1234567\'); ?&gt;</strong> anywhere in your theme to display a particular zone with anti-AdBlock protection.</label></p>
      ',
      __('Support this plugin!', $this->name),
      __('Display "Powered by BSA" link at the bottom of the widget', $this->name),
      $show_link_check1,
      __('Do not display "Powered by BSA" link.  I will ', $this->name),
      __('donate', $this->name),
      __('and/or write about this plugin', $this->name),
      $show_link_check2,
      __('General Configurations', $this->name),
      __('Your current nonce.  (Automatically re-generated everytime you visit this page.)', $this->name),
      attribute_escape($bsa_options['nonce_proxy'])
    );

    if ( function_exists( 'wp_nonce_field' ) && wp_nonce_field( $this->name ) ) {
      printf('
        <p class="submit">
          <input type="submit" name="bsa_options_update_submit" value="%s &#187;" />
          <input type="submit" name="bsa_options_reset_submit" value="Reset ALL Options &#187;" onclick="return confirm_reset()"/>
        </p>
        ',
        __('Update Options', $this->name),
        __('Reset ALL Options', $this->name)
      );
    }
?>
</fieldset></form>
